package com.red.circle.wallet.inner.error;


import com.red.circle.framework.dto.IResponseErrorCode;
import com.red.circle.framework.dto.ResErrorCode;

/**
 * 范围：货运代理: 5500 ~ 5600.
 *
 * @author pengliang on 2019/10/19 23:25
 */
@ResErrorCode(describe = "货运代理", minCode = 5500, maxCode = 5600)
public enum FreightErrorCode implements IResponseErrorCode {

  /**
   * 不是卖家.
   */
  NOT_SELLER(5500, "Not a seller"),

  /**
   * 不是货运代理
   */
  NOT_FREIGHT(5501, "Not a Freight forwarder"),

  /**
   * 卖家已存在.
   */
  USER_FREIGHT_SELLER_EXISTS(5502, "Seller already exists"),

  /**
   * 是货运代理
   */
  IS_FREIGHT(5503, "Is a Freight forwarder"),

  /**
   * 经销商家卖家数量已达上限.
   */
  USER_FREIGHT_SELLER_LIMIT(5504,
      "The number of sellers and merchants has reached the maximum limit"),

  /**
   * 不是经销商.
   */
  NOT_DEALER(5505, "Not a distributor"),

  /**
   * 是经销商.
   */
  IS_DEALER(5506, " a distributor"),

  /**
   * 经销商发送货运最低金额.
   */
  NOT_BELOW_SOME(5507, "Cannot be lower than the minimum amount for dealer recharge"),

  /**
   * 不等你超过经销商最大金额
   */
  NOT_MAX_SOME(5508, "Cannot be greater than the dealer's maximum sales amount"),


    /**
     * 未达到发货门槛
     */
    NOT_THRESHOLD(5509, "Delivery threshold not reached"),

  /**
   * 您的金币已到账
   */
  THE_GOLD_COINS_HAVE_ARRIVED(5510, "Your gold coin has arrived."),

  /**
   * 不正确的订单编号
   */
  INCORRECT_ORDER_NUMBER(5511, "Incorrect order number"),


  /**
   * 不是超级货运代理
   */
  NOT_SUPER_FREIGHT(5512, "Not a Super Freight forwarder"),
    ;




  private final Integer code;
  private final String message;

  FreightErrorCode(Integer code, String message) {
    this.code = code;
    this.message = message;
  }

  @Override
  public Integer getCode() {
    return this.code;
  }

  @Override
  public String getMessage() {
    return message;
  }

  @Override
  public String getErrorCodeName() {
    return this.name();
  }

}
